use "C:\Users\mnorris1\Desktop\elevations\elevations_complete_heckprobit.dta" 
set more off
log using elevate_heckprob, replace
sum divgov courtesy gridlock rep amed pool election newseat approval replace
sum age age2 seniority sen2 race gender dist_party dist_same judge_dist ///
dscore distance dist2
sum aba if aba <10
ttest gridlock, by(s_elevate)
ttest gridlock, by(rep)
ttest amed, by(s_elevate)
ttest replace, by(s_elevate)
ttest replace, by(rep)
ttest replace if rep ==1, by(s_elevate)
ttest replace if rep ==0, by(s_elevate)

heckprobit p_elevate distance dist2 judge_dist dscore dist_party dist_same ///
courtesy race gender aba age age2 seniority sen2 duration if aba < 10, ///
select(s_elevate = amed replace divgov courtesy gridlock rep pool election ///
newseat approval interaction interaction2 int3) vce(cl president) 
estat ic
estat summarize, equation


* this is the margins prediction for the baseline likelihood of elevation

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* margins prediction for 1 standard deviation increase in AMED

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739) amed=(.3070664)) atmeans

* baseline 

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* margins prediction for 1 standard deviation increase in REPLACE. This estimation 
* includes the INTERACTION TERM and REP =1

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.869496) replace=(.869496)) atmeans

* baseline

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* margins prediction for 1 standard deviation increase in GRIDLOCK. This estimation
* includes the INTERACTION with REP and DIVGOV

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.881829) ///
interaction2=(.881829) int3=(.5593739) gridlock=(.881829)) atmeans

* baseline

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* margins prediction for 1 standard deviation increase in POOL

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739) pool=(.6433664)) atmeans

* baseline

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* margins prediction for 1 standard deviation increase in APPROVAL

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739) approval=(.6433664)) atmeans

* margins prediction of elevation with a DEMOCRATIC PRESIDENT. Note that INT3
* and INTERACTION2 are at ZERO

margins, predict(psel) at (rep=(0) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(0) int3=(0)) atmeans

* margins predict of elevation when there's UNIFIED GOVERNMENT. Note that INTERACTION
* and INTERACTION2 are at ZERO

margins, predict(psel) at (rep=(1) divgov=(0) election=(0) interaction=(0) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* margins prediction when it is a PRESIDENTIAL ELECTION YEAR

margins, predict(psel) at (rep=(1) divgov=(1) election=(1) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* baseline

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* margins prediction for 1 strandard deviation increase in COURTESY

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739) courtesy=(.8741391)) atmeans

* THESE MARGINS ESTIMATES ARE SUPPOSED TO GIVE A SENSE OF HOW "REP" "DIVGOV" 
* "GRIDLOCK" AND "REPLACE" CHANGE WITHOUT ACCOUNTING FOR THE INTERACTION TERMS

margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(0) ///
interaction2=(0) int3=(0)) atmeans
margins, predict(psel) at (rep=(0) divgov=(1) election=(0) interaction=(0) ///
interaction2=(0) int3=(0)) atmeans
margins, predict(psel) at (rep=(1) divgov=(0) election=(0) interaction=(0) ///
interaction2=(0) int3=(0)) atmeans
margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(0) ///
interaction2=(0) int3=(0) gridlock=(.881829)) atmeans
margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(0) ///
interaction2=(0) int3=(0) replace=(.869496)) atmeans
margins, predict(psel) at (rep=(1) divgov=(1) election=(0) interaction=(0) ///
interaction2=(0) int3=(0)) atmeans


* Now I want to get the margins results and GRAPHS for the theoretical variables
* of interest, starting with AMED

margins, at(amed=(0(.003).514) rep=(1) election=(0) divgov=(1) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) predict(psel) atmeans plot 

* Now I want to get the margins results and GRAPHS for REPLACE and INT3

margins, at(int3=(0(.01)1.279) rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817)) predict(psel) atmeans plot 

margins, at(replace=(.005(.01)1.279) rep=(0) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(0) int3=(0)) predict(psel) atmeans plot 



* Now I want to calculate the margins for the theoretical variables of interest
* based on their minimum and maximum values
* The first calculation is for AMED

margins, predict(psel) at (amed=(0(.514).514) rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817) int3=(.5593739)) atmeans

* The next calculation is for REPLACE ==> Democratic president

margins, predict(psel) at (replace=(.005(1.274)1.279) rep=(0) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(0) int3=(0)) atmeans

* the next calculation is for INT3 ==> Republican president

margins, predict(psel) at (int3=(0(1.279)1.279) rep=(1) divgov=(1) election=(0) interaction=(.721817) ///
interaction2=(.721817)) atmeans

* The next set of margins estimates are to find the marginal effects of the 
* individual variables AFTER accounting for the selection equation

quietly heckprobit p_elevate distance c.distance##c.distance judge_dist dscore dist_party dist_same ///
courtesy race gender aba age age2 seniority sen2 duration if aba < 10, ///
select(s_elevate = amed replace divgov courtesy gridlock rep pool election ///
newseat approval interaction interaction2 int3) vce(cl president)

margins, predict(p11) at(distance=(.36(.58).94) dist_party=(1) ///
dist_same=(0) race=(0) gender=(0)) atmeans plot 


* the tipping point in the squared distance term is .358 [.0077897, .0305011]
* the minimal likelihood is .0119165 [.0025272, .0213058]

* Next comes the calculation for JUDGE_DIST
quietly heckprobit p_elevate distance c.distance##c.distance judge_dist dscore dist_party dist_same ///
courtesy race gender aba age age2 seniority sen2 duration if aba < 10, ///
select(s_elevate = amed replace divgov courtesy gridlock rep pool election ///
newseat approval interaction interaction2 int3) vce(cl president)

margins, predict(p11) at(judge_dist=(.0(1.2311)1.2311) dist_party=(1) dist_same=(0) race=(0) gender=(0)) atmeans ///
plot 

heckprobit p_elevate distance c.distance##c.distance judge_dist dscore dist_party dist_same ///
courtesy race gender aba age age2 seniority sen2 duration if aba < 10, ///
select(s_elevate = amed replace divgov courtesy gridlock rep pool election ///
newseat approval interaction interaction2 int3) vce(cl president)

log close



