use "C:\Users\mnorris1\Desktop\elevations\dime_dataset.dta"
set more off
log using dime_log, replace
corr distance dime_distance
corr judge_dist dime_judge_dist
corr dscore dime_dscore
corr courtesy dime_courtesy
corr amed dime_amed
corr replace dime_replace
corr gridlock dime_gridlock

heckprobit p_elevate distance dist2 judge_dist dscore dist_party dist_same ///
courtesy race gender aba age age2 seniority sen2 duration if aba < 10, ///
select(s_elevate = amed replace divgov courtesy gridlock rep pool election ///
newseat approval interaction interaction2 int3) vce(cl president)
estat ic
estat summarize, equation

heckprobit p_elevate dime_distance dime_dist2 dime_judge_dist dime_dscore ///
dist_party dist_same dime_courtesy race gender aba age age2 seniority sen2 ///
duration if aba <10, select(s_elevate = dime_amed dime_replace dime_courtesy dime_gridlock rep pool election newseat approval d_int1 d_int2 d_int3) ///
vce(cl president)

* this is simply the estimates for DISTANCE, with and without the squared term

quietly heckprobit p_elevate dime_distance c.dime_distance##c.dime_distance ///
dime_judge_dist dime_dscore dist_party dist_same dime_courtesy race gender ///
aba age age2 seniority sen2 duration if aba < 10, select(s_elevate = dime_amed ///
dime_replace dime_courtesy dime_gridlock rep pool election newseat approval ///
d_int1 d_int2 d_int3) vce(cl president)

margins, predict(p11) at(dime_distance=(0(.02)2.668) dist_party==(1) ///
dist_same==(0) race=(0) gender=(0)) atmeans plot

quietly heckprobit p_elevate dime_distance dime_dscore dime_judge_dist ///
dist_party dist_same dime_courtesy race gender age age2 aba seniority sen2 ///
duration if aba < 10, select(s_elevate = dime_amed dime_replace dime_courtesy /// 
dime_gridlock rep pool election newseat approval d_int1 d_int2 d_int3) ///
vce(cl president)

margins, predict(p11) at(dime_distance=(0(.02)2.668) dist_party==(1) ///
dist_same==(0) race=(0) gender=(0)) atmeans plot



* this is the estimate interacting DISTANCE with DIST_PARTY

quietly heckprobit p_elevate dime_distance i.dist_party c.dime_distance##i.dist_party ///
dime_judge_dist dime_dscore dime_courtesy dist_same race gender aba age age2 ///
seniority sen2 duration if aba <10, select(s_elevate = dime_amed dime_replace ///
dime_courtesy dime_gridlock divgov rep pool election newseat approval d_int1 ///
d_int2 d_int3) vce(cl president)
margins dist_party, at( dime_distance=(0(.02)2.5))
marginsplot, xdimension( at(dime_distance))